package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 云教练购买时长单位
 */
public enum CloudTeacherTimeType implements BaseEnum<Integer, CloudTeacherTimeType> {
    DAY(1, "天"),
    MONTH(2, "月"),
    YEAR(3, "年");

    private Integer code;
    private String msg;

    CloudTeacherTimeType(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }
}
